Package ru.bitel.bgbilling.modules.tv.server.task

# Class TvRecalculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.modules.tv.server.task.TvRecalculator

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class TvRecalculator extends RunTask

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvRecalculator(int moduleId, Date dateFrom, Date dateTo, Set<Integer> contractGroupIds, Set<Integer> contractIds, String email)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TvTarifficationManager.CalculateResult`
  `calculatePart(ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffContext tariffContext, ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffWorkerContext workerContext, TvTarifficationManager tvTarifficationManager, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, int contractId, TvAccountRuntimeRoot tvAccountRuntime, int accountId, ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet tariffTreeSet, Calendar tariffPeriodStart, Calendar tariffPeriodStop, List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> serviceCostList, List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> workingServiceCostList, Set<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> processedSet, Date filterTimeFrom, Date filterTimeTo, boolean detailAccount, boolean addAccount, BigDecimal balance)`
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TvRecalculator

    public TvRecalculator(int moduleId, Date dateFrom, Date dateTo, Set<Integer> contractGroupIds, Set<Integer> contractIds, String email)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### calculatePart

    public static TvTarifficationManager.CalculateResult calculatePart(ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffContext tariffContext, ru.bitel.bgbilling.modules.tv.server.tariff.TvTariffWorkerContext workerContext, TvTarifficationManager tvTarifficationManager, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, int contractId, TvAccountRuntimeRoot tvAccountRuntime, int accountId, ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet tariffTreeSet, Calendar tariffPeriodStart, Calendar tariffPeriodStop, List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> serviceCostList, List<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> workingServiceCostList, Set<ru.bitel.bgbilling.modules.tv.server.tariff.TvServiceCost> processedSet, Date filterTimeFrom, Date filterTimeTo, boolean detailAccount, boolean addAccount, BigDecimal balance) throws Exception
    Throws:
      `Exception`